Good news!

PS5 Will Now Warn You If You’re About To Play A PS4 Cross-Gen Game

The PS5 now has a helpful little warning that lets you know if you’re about to play a PS4 version of a cross-gen game.

Before now there was an issue in which unsuspecting players could end up playing the last-gen version of a game on the PlayStation 5.

An image of both versions of the PlayStation 5, with two DualSense controllers
Credit: Sony

For example if you purchased the digital cross-gen version of Call of Duty: Black Ops Cold War on the PlayStation 4 and then you upgraded to the PlayStation 5 console, you would have two versions of the game in your digital library.

The issue would then become apparent because at a quick glance the PlayStation 5 would not inform you which version of the game you’re about to load up.

ps5 ui
Credit: Sony

This lack of information resulted in some players unknowingly playing the last-gen versions of Call of Duty: Black Ops Cold War – and other games – on the next-gen console.

However the PS5 now has a handy little pop-up message as your chosen cross-gen game is about to load up informing you if you’re playing the “wrong” version of your game.

You’re about to play the PS4 version of this game.  Do you want to switch to the PS5 Version?” reads the new warning.

A screenshot of the new message was shared on Twitter by a PS5 player simply asking fellow gamers if this feature is something new.

It seems that this feature is rolling out to PS5 consoles in waves, so if you’re not getting this helpful little prompt yet, you soon will be.

Has your PS5 been letting you know if you’re about to boot up a cross-gen PS4 game on your shiny new console? Let us know across our social media channels.

PS5 dualsense
Credit: Sony

Sign-up to the GameByte Newsletter and be the first to find out when the new-gen consoles will next be in stock at the GameByte Shop! Can’t see the form? Try turning off adblocker!

Featured Image Credit: Sony